curl -X POST "https://app.talkover.ai/api/v1/calendars/sync" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"syncing": ["calendar-uuid-1", "calendar-uuid-2"],
"up_to_date": ["calendar-uuid-3"]
}
}
Calendars
Trigger Calendars Sync
Trigger a sync against connected calendar providers
POST
/
api
/
v1
/
calendars
/
sync
curl -X POST "https://app.talkover.ai/api/v1/calendars/sync" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"syncing": ["calendar-uuid-1", "calendar-uuid-2"],
"up_to_date": ["calendar-uuid-3"]
}
}
Trigger Calendars Sync
Trigger a sync of events from connected calendar provider integrations. Runs asynchronously — poll Get Sync Status for progress.Endpoint
POST /api/v1/calendars/sync
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl -X POST "https://app.talkover.ai/api/v1/calendars/sync" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": {
"syncing": ["calendar-uuid-1", "calendar-uuid-2"],
"up_to_date": ["calendar-uuid-3"]
}
}
Was this page helpful?